org.jboss.resteasy.security.smime

## Class PKCS7SignatureInput<T>

- java.lang.Object
- - org.jboss.resteasy.security.smime.PKCS7SignatureInput<T>

-     public class PKCS7SignatureInput<T>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS7SignatureInput()`
    `PKCS7SignatureInput(byte[] bytes)` PKS Encoded bytes
    `PKCS7SignatureInput(org.bouncycastle.cms.CMSSignedData data)`
    `PKCS7SignatureInput(String base64)` Base64 encoded pks bytes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()`
    `X509Certificate` | `getCertificate()`
    `org.bouncycastle.cms.CMSSignedData` | `getData()`
    `<T2> T2` | `getEntity(Class<T2> type, MediaType mediaType)`
    `<T2> T2` | `getEntity(Class<T2> t, Type gt, Annotation[] ann, MediaType mediaType)`
    `<T2> T2` | `getEntity(GenericType<T2> gt, Annotation[] ann, MediaType mediaType)`
    `<T2> T2` | `getEntity(GenericType<T2> gt, MediaType mediaType)`
    `T` | `getEntity(MediaType mediaType)`
    `Type` | `getGenericType()`
    `Providers` | `getProviders()`
    `PublicKey` | `getPublicKey()`
    `Class` | `getType()`
    `void` | `setAnnotations(Annotation[] annotations)`
    `void` | `setCertificate(X509Certificate certificate)`
    `void` | `setData(org.bouncycastle.cms.CMSSignedData data)`
    `void` | `setGenericType(Type genericType)`
    `void` | `setProviders(Providers providers)`
    `void` | `setPublicKey(PublicKey publicKey)`
    `void` | `setType(Class type)`
    `void` | `setType(GenericType type)`
    `boolean` | `verify()`
    `boolean` | `verify(PublicKey publicKey)`
    `boolean` | `verify(X509Certificate certificate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput()

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput(org.bouncycastle.cms.CMSSignedData data)

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput(String base64)

      Base64 encoded pks bytes
      Parameters:
        `base64` -

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput(byte[] bytes)

      PKS Encoded bytes
      Parameters:
        `bytes` -

  - ### Method Detail

    - #### getPublicKey

          public PublicKey getPublicKey()

    - #### setPublicKey

          public void setPublicKey(PublicKey publicKey)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate(X509Certificate certificate)

    - #### getType

          public Class getType()

    - #### setType

          public void setType(Class type)

    - #### setType

          public void setType(GenericType type)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType(Type genericType)

    - #### getData

          public org.bouncycastle.cms.CMSSignedData getData()

    - #### setData

          public void setData(org.bouncycastle.cms.CMSSignedData data)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations(Annotation[] annotations)

    - #### getProviders

          public Providers getProviders()

    - #### setProviders

          public void setProviders(Providers providers)

    - #### getEntity

          public T getEntity(MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity(Class<T2> type,
                          MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity(GenericType<T2> gt,
                          MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity(GenericType<T2> gt,
                          Annotation[] ann,
                          MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity(Class<T2> t,
                          Type gt,
                          Annotation[] ann,
                          MediaType mediaType)

    - #### verify

          public boolean verify()
                         throws Exception

      Throws:
        `Exception`

    - #### verify

          public boolean verify(X509Certificate certificate)
                         throws Exception

      Throws:
        `Exception`

    - #### verify

          public boolean verify(PublicKey publicKey)
                         throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.